class Qcli < Formula
  desc "Report audiovisual metrics via libavfilter"
  homepage "https://bavc.org/preserve-media/preservation-tools"
  url "https://github.com/bavc/qctools.git",
      tag:      "v1.3.1",
      revision: "0573c33953d02db53812a2420f174d6b1233751e"
  license "GPL-3.0-or-later"
  revision 1
  head "https://github.com/bavc/qctools.git", branch: "master"

  depends_on "pkg-config" => :build
  depends_on "ffmpeg@6"
  depends_on "qt"
  depends_on "qwt"

  fails_with gcc: "5" # ffmpeg is compiled with GCC

  def install
    ENV["USE_BREW"]="true"

    cd "Project/QtCreator/qctools-lib" do
      system "qmake", "qctools-lib.pro"
      system "make"
    end
    cd "Project/QtCreator/qctools-cli" do
      system "qmake", "qctools-cli.pro"
      system "make"
      bin.install "qcli"
    end
  end

  test do
    # Create an example mp4 file
    mp4out = testpath/"video.mp4"
    system "#{Formula["ffmpeg"].bin}/ffmpeg", "-filter_complex", "testsrc=rate=1:duration=1", mp4out
    # Create a qcli report from the mp4
    qcliout = testpath/"video.mp4.qctools.xml.gz"
    system bin/"qcli", "-i", mp4out, "-o", qcliout
    assert_predicate qcliout, :exist?
  end
end
